import java.applet.Applet;
import java.awt.event.*;
import java.awt.*;
import java.awt.geom.*;
import sun.audio.*;
import java.io.*;



public class ControlPanelSpecial {
    ListenSquare[][] L=new ListenSquare[30][2];
    String[] S=new String[30];
    int[] state=new int[30];
    int mode=0;
    Color[] C=new Color[10];
    int count;
    String INFO;



    public ControlPanelSpecial() {}



    public ControlPanelSpecial(Color[] C,String S[], int state[],int count) {
	this.C=C;
	this.S=S;
	this.state=state;
	this.mode=mode;
	this.count=count;
	for(int i=0;i<count;++i) {
            L[i][0]=new ListenSquare(0,0,12,12,Color.white);
	    if(state[i]==1) L[i][0].on=1;
            L[i][1]=new ListenSquare(0,0,12,12,Color.white);
	    if(state[i]==1) L[i][1].on=1;
	}
    }


    public int switchMode(Point X) {
	int test0=-1;
	int test1=-1;
	for(int i=0;i<count;++i) {
	    if(L[i][0].inside(X)==1) test0=i;
	    if(L[i][1].inside(X)==1) test1=i;
	}

	if(test0!=-1) {
	    for(int i=0;i<count;++i) {
		L[i][0].on=0;
		L[i][1].on=0;
	    }
	    L[test0][0].on=1;
	}
	
	if(test1!=-1) {
	    for(int i=0;i<count;++i) {
		L[i][0].on=0;
		L[i][1].on=0;
	    }
	    L[test1][1].on=1;
	}
	return(0);
    }

    public void render(Graphics2D g,int x,int y,int w) {

	//the frame
	g.setColor(C[0]);  //background color
	g.fillRect(x,y,w,20+15*count);
	g.setColor(C[1]);  //background color
	g.drawRect(x,y,w,20+15*count);

	//the title  
        g.setFont(new Font("Helvetica",Font.PLAIN,10));
	g.setColor(C[2]);
	g.drawString(S[count],x+3,y+12);

	//the words
	g.setColor(C[3]);   //textcolor
	for(int i=0;i<count;++i) {
	    g.drawString(S[i],x+38,y+15*i+30);
	}

	//the boxes
	for(int i=0;i<count;++i) {
	    L[i][0].x=x+3;
	    L[i][0].y=y+20+15*i;
	    L[i][1].x=x+19;
	    L[i][1].y=y+20+15*i;
	}
	for(int i=0;i<count;++i) L[i][0].render2(g,C[4]);
	for(int i=0;i<count;++i) L[i][1].render2(g,C[4]);
    }

}

